<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorBackground"
    android:orientation="vertical">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:adjustViewBounds="true"
        android:src="@drawable/ic_title_bar_bg" />

    <!--标题栏-->
    <TextView
        android:id="@+id/v_status"
        style="@style/bar_status" />

    <RelativeLayout
        android:id="@+id/bar"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:layout_below="@id/v_status">

        <TextView
            android:id="@+id/bar_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="8dp"
            android:text="标准化管理云平台"
            android:textColor="@color/colorWhite"
            android:textSize="?attr/textSizeXXXXX"
            android:textStyle="bold" />

        <androidx.cardview.widget.CardView
            android:id="@+id/cv_user"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_alignParentRight="true"
            android:layout_centerInParent="true"
            android:layout_marginLeft="8dp"
            android:layout_marginRight="8dp"
            app:cardCornerRadius="20dp"
            app:cardElevation="0dp">

            <ImageView
                android:id="@+id/iv_user"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:scaleType="centerCrop"
                android:src="@drawable/no_banner" />
        </androidx.cardview.widget.CardView>


        <ImageView
            android:id="@+id/iv_todo"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_toLeftOf="@id/cv_user"
            android:foreground="?android:selectableItemBackground"
            android:padding="8dp"
            android:src="@drawable/ic_event_note_white" />

        <TextView
            android:id="@+id/tv_todo_count"
            style="@style/text_flag"
            android:layout_alignRight="@id/iv_todo"
            android:layout_marginTop="8dp"
            android:text="3" />

        <ImageView
            android:id="@+id/iv_notice"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_toLeftOf="@id/iv_todo"
            android:foreground="?android:selectableItemBackground"
            android:padding="8dp"
            android:src="@drawable/ic_notice_white" />

        <TextView
            android:id="@+id/tv_notice_count"
            style="@style/text_flag"
            android:layout_alignRight="@id/iv_notice"
            android:layout_marginTop="8dp"
            android:text="2" />

    </RelativeLayout>


    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/refresh_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/bar"
        app:layout_behavior="@string/appbar_scrolling_view_behavior">

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fillViewport="true">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="8dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginRight="8dp"
                    android:layout_marginBottom="8dp"
                    app:cardCornerRadius="8dp"
                    app:cardElevation="4dp">

                    <com.youth.banner.Banner
                        android:id="@+id/banner"
                        style="@style/banner"
                        android:layout_height="150dp" />
                </androidx.cardview.widget.CardView>

                <!--活跃度排行-->
                <com.google.android.flexbox.FlexboxLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorWhite"
                    android:paddingLeft="16dp"
                    android:paddingTop="16dp"
                    android:paddingRight="16dp"
                    android:paddingBottom="16dp"
                    app:flexWrap="wrap">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="16dp">

                        <View
                            android:layout_width="4dp"
                            android:layout_height="4dp"
                            android:layout_gravity="center"
                            android:layout_marginRight="4dp"
                            android:background="@drawable/accent_circle_bg" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="您上月活跃度库内排名："
                            android:textColor="@color/colorText55"
                            android:textSize="?attr/textSizeX" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="1"
                            android:textColor="@color/colorTheme"
                            android:textSize="?attr/textSizeX" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="16dp">

                        <View
                            android:layout_width="4dp"
                            android:layout_height="4dp"
                            android:layout_gravity="center"
                            android:layout_marginRight="4dp"
                            android:background="@drawable/accent_circle_bg" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="工作按时完成："
                            android:textColor="@color/colorText55"
                            android:textSize="?attr/textSizeX" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="12项"
                            android:textColor="@color/colorTheme"
                            android:textSize="?attr/textSizeX" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">

                        <View
                            android:layout_width="4dp"
                            android:layout_height="4dp"
                            android:layout_gravity="center"
                            android:layout_marginRight="4dp"
                            android:background="@drawable/accent_circle_bg" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="逾期："
                            android:textColor="@color/colorText55"
                            android:textSize="?attr/textSizeX" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="0项"
                            android:textColor="@color/colorTheme"
                            android:textSize="?attr/textSizeX" />
                    </LinearLayout>

                </com.google.android.flexbox.FlexboxLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="8dp"
                    android:background="@color/colorBackground" />

                <!--公告轮播-->
                <com.youth.banner.Banner
                    android:id="@+id/announce_banner"
                    android:layout_width="match_parent"
                    android:layout_height="48dp"
                    android:background="@color/colorWhite" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="8dp"
                    android:background="@color/colorBackground" />

                <!--企业信息-->
                <LinearLayout
                    android:id="@+id/layout_company"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorWhite"
                    android:gravity="center_vertical"
                    android:paddingLeft="16dp"
                    android:paddingTop="8dp"
                    android:paddingRight="16dp"
                    android:paddingBottom="8dp">

                    <TextView
                        android:id="@+id/tv_company"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:drawableLeft="@drawable/ic_org_normal"
                        android:drawablePadding="4dp"
                        android:gravity="center_vertical"
                        android:text="中储粮山西分公司太原直属库"
                        android:textColor="@color/colorText33"
                        android:textSize="?attr/textSizeXXX"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:drawableRight="@drawable/ic_next_normal"
                        android:gravity="center_vertical"
                        android:text="更多"
                        android:visibility="invisible" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorWhite"
                    android:orientation="vertical">

                    <LinearLayout
                        android:id="@+id/layout_count"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:background="@drawable/green_light_circle_bg">

                        <TextView
                            android:id="@+id/tv_depot_count"
                            style="@style/home_info_text"
                            android:drawableLeft="@drawable/ic_outline_depot_accent"
                            android:text="5" />

                        <TextView
                            android:id="@+id/tv_house_count"
                            style="@style/home_info_text"
                            android:drawableLeft="@drawable/ic_outline_house_accent"
                            android:text="50" />


                        <TextView
                            android:id="@+id/tv_person_count"
                            style="@style/home_info_text"
                            android:drawableLeft="@drawable/ic_outline_person_accent"
                            android:text="100" />

                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/layout_house_status"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorWhite"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="16dp"
                        android:text="仓房状态"
                        android:textStyle="bold"
                        android:textColor="@color/colorText55"
                        android:textSize="?attr/textSizeXX" />

                    <com.github.mikephil.charting.charts.PieChart
                        android:id="@+id/pie_house_status"
                        android:layout_width="match_parent"
                        android:layout_height="200dp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/layout_food_type"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorWhite"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="16dp"
                        android:text="粮食品种"
                        android:textStyle="bold"
                        android:textColor="@color/colorText55"
                        android:textSize="?attr/textSizeXX" />

                    <com.github.mikephil.charting.charts.BarChart
                        android:id="@+id/bar_food_type"
                        android:layout_width="match_parent"
                        android:layout_height="200dp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/layout_storage_status"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorWhite"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="16dp"
                        android:text="储存状态"
                        android:textStyle="bold"
                        android:textColor="@color/colorText55"
                        android:textSize="?attr/textSizeXX" />

                    <com.github.mikephil.charting.charts.PieChart
                        android:id="@+id/pie_storage_status"
                        android:layout_width="match_parent"
                        android:layout_height="200dp" />
                </LinearLayout>

            </LinearLayout>
        </androidx.core.widget.NestedScrollView>
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

</RelativeLayout>